_define_cs:
;mcu_driver.c,6 :: 		void define_cs ( uint8_t io_state )
;mcu_driver.c,8 :: 		AD1PCFG = 0xFFFF;      // Configure AN pins as digital I/O
ORI	R2, R0, 65535
SW	R2, Offset(AD1PCFG+0)(GP)
;mcu_driver.c,9 :: 		JTAGEN_bit = 0;        // Disable JTAG
_LX	
INS	R2, R0, BitPos(JTAGEN_bit+0), 1
_SX	
;mcu_driver.c,10 :: 		TRISA4_bit = io_state;//IEN define
_LX	
INS	R2, R25, BitPos(TRISA4_bit+0), 1
_SX	
;mcu_driver.c,11 :: 		}
L_end_define_cs:
JR	RA
NOP	
; end of _define_cs
_define_int:
;mcu_driver.c,13 :: 		void define_int ( uint8_t io_state )
;mcu_driver.c,15 :: 		AD1PCFG = 0xFFFF;      // Configure AN pins as digital I/O
ORI	R2, R0, 65535
SW	R2, Offset(AD1PCFG+0)(GP)
;mcu_driver.c,16 :: 		JTAGEN_bit = 0;        // Disable JTAG
_LX	
INS	R2, R0, BitPos(JTAGEN_bit+0), 1
_SX	
;mcu_driver.c,17 :: 		TRISE8_bit = io_state;//INT define
_LX	
INS	R2, R25, BitPos(TRISE8_bit+0), 1
_SX	
;mcu_driver.c,18 :: 		}
L_end_define_int:
JR	RA
NOP	
; end of _define_int
_log_init:
;mcu_driver.c,20 :: 		void log_init ( void )
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;mcu_driver.c,22 :: 		UART2_Init( LOG_BAUD );
SW	R25, 4(SP)
ORI	R25, R0, 9600
JAL	_UART2_Init+0
NOP	
;mcu_driver.c,23 :: 		}
L_end_log_init:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _log_init
_log_text:
;mcu_driver.c,25 :: 		void log_text ( uint8_t *txt_data )
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;mcu_driver.c,27 :: 		UART_Write_Text( txt_data );
JAL	_UART_Write_Text+0
NOP	
;mcu_driver.c,28 :: 		}
L_end_log_text:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of _log_text
_log_line:
;mcu_driver.c,30 :: 		void log_line ( uint8_t *txt_data )
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;mcu_driver.c,32 :: 		UART_Write_Text( txt_data );
SW	R25, 4(SP)
JAL	_UART_Write_Text+0
NOP	
;mcu_driver.c,33 :: 		UART_Write( 13 );
ORI	R25, R0, 13
JAL	_UART_Write+0
NOP	
;mcu_driver.c,34 :: 		UART_Write( 10 );
ORI	R25, R0, 10
JAL	_UART_Write+0
NOP	
;mcu_driver.c,35 :: 		}
L_end_log_line:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _log_line
_dev_i2c_init:
;mcu_driver.c,37 :: 		void dev_i2c_init ( void )
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;mcu_driver.c,39 :: 		I2C2_Init( I2C_SPEED );
SW	R25, 4(SP)
LUI	R25, 1
ORI	R25, R25, 34464
JAL	_I2C2_Init+0
NOP	
;mcu_driver.c,40 :: 		}
L_end_dev_i2c_init:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _dev_i2c_init
_dev_i2c_start:
;mcu_driver.c,42 :: 		void dev_i2c_start ( void )
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;mcu_driver.c,44 :: 		I2C2_Start(  );
JAL	_I2C2_Start+0
NOP	
;mcu_driver.c,45 :: 		}
L_end_dev_i2c_start:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of _dev_i2c_start
_dev_i2c_stop:
;mcu_driver.c,47 :: 		void dev_i2c_stop ( void )
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;mcu_driver.c,49 :: 		I2C2_Stop(  );
JAL	_I2C2_Stop+0
NOP	
;mcu_driver.c,50 :: 		}
L_end_dev_i2c_stop:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of _dev_i2c_stop
_dev_i2c_write:
;mcu_driver.c,52 :: 		void dev_i2c_write ( uint8_t tx_byte )
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;mcu_driver.c,54 :: 		I2C2_Write( tx_byte );
JAL	_I2C2_Write+0
NOP	
;mcu_driver.c,55 :: 		}
L_end_dev_i2c_write:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
JR	RA
NOP	
; end of _dev_i2c_write
_dev_i2c_read:
;mcu_driver.c,57 :: 		uint8_t dev_i2c_read ( void )
ADDIU	SP, SP, -8
SW	RA, 0(SP)
;mcu_driver.c,59 :: 		return I2C2_Read( _I2C_NACK );
SW	R25, 4(SP)
ORI	R25, R0, 1
JAL	_I2C2_Read+0
NOP	
;mcu_driver.c,60 :: 		}
;mcu_driver.c,59 :: 		return I2C2_Read( _I2C_NACK );
;mcu_driver.c,60 :: 		}
L_end_dev_i2c_read:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 8
JR	RA
NOP	
; end of _dev_i2c_read
