#line 1 "D:/Clicks/magneto6_click/SW/PIC32/mcu_driver.c"
#line 1 "d:/clicks/magneto6_click/sw/pic32/mcu_driver.h"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for pic32/include/stdint.h"




typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 19 "d:/clicks/magneto6_click/sw/pic32/mcu_driver.h"
void define_cs ( uint8_t io_state );
#line 26 "d:/clicks/magneto6_click/sw/pic32/mcu_driver.h"
void define_int ( uint8_t io_state );
#line 33 "d:/clicks/magneto6_click/sw/pic32/mcu_driver.h"
void log_init ( void );
#line 40 "d:/clicks/magneto6_click/sw/pic32/mcu_driver.h"
void log_text ( uint8_t *txt_data );
#line 47 "d:/clicks/magneto6_click/sw/pic32/mcu_driver.h"
void log_line ( uint8_t *txt_data );
#line 54 "d:/clicks/magneto6_click/sw/pic32/mcu_driver.h"
void dev_i2c_init ( void );
#line 59 "d:/clicks/magneto6_click/sw/pic32/mcu_driver.h"
void dev_i2c_start ( void );
#line 64 "d:/clicks/magneto6_click/sw/pic32/mcu_driver.h"
void dev_i2c_stop ( void );
#line 71 "d:/clicks/magneto6_click/sw/pic32/mcu_driver.h"
void dev_i2c_write ( uint8_t tx_byte );
#line 78 "d:/clicks/magneto6_click/sw/pic32/mcu_driver.h"
uint8_t dev_i2c_read ( void );
#line 1 "d:/clicks/magneto6_click/sw/pic32/cfg_communication.h"
const uint32_t LOG_BAUD = 9600;
const uint32_t I2C_SPEED = 100000;
#line 6 "D:/Clicks/magneto6_click/SW/PIC32/mcu_driver.c"
void define_cs ( uint8_t io_state )
{
 AD1PCFG = 0xFFFF;
 JTAGEN_bit = 0;
 TRISA4_bit = io_state;
}

void define_int ( uint8_t io_state )
{
 AD1PCFG = 0xFFFF;
 JTAGEN_bit = 0;
 TRISE8_bit = io_state;
}

void log_init ( void )
{
 UART2_Init( LOG_BAUD );
}

void log_text ( uint8_t *txt_data )
{
 UART_Write_Text( txt_data );
}

void log_line ( uint8_t *txt_data )
{
 UART_Write_Text( txt_data );
 UART_Write( 13 );
 UART_Write( 10 );
}

void dev_i2c_init ( void )
{
 I2C2_Init( I2C_SPEED );
}

void dev_i2c_start ( void )
{
 I2C2_Start( );
}

void dev_i2c_stop ( void )
{
 I2C2_Stop( );
}

void dev_i2c_write ( uint8_t tx_byte )
{
 I2C2_Write( tx_byte );
}

uint8_t dev_i2c_read ( void )
{
 return I2C2_Read( _I2C_NACK );
}
