_magneto6_generic_write:
;driver.c,28 :: 		void magneto6_generic_write ( uint8_t reg_adr, uint8_t trigger, uint8_t tx_data )
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;driver.c,32 :: 		temp_data = reg_adr & TRIGGER_MASK;
SW	R25, 4(SP)
ANDI	R3, R25, 31
;driver.c,33 :: 		temp_data |= trigger << TRIGGER_SHIFT;
ANDI	R2, R26, 255
SLL	R2, R2, 5
OR	R2, R3, R2
SB	R2, 9(SP)
;driver.c,35 :: 		dev_i2c_start(  );
SB	R27, 8(SP)
JAL	_dev_i2c_start+0
NOP	
;driver.c,36 :: 		dev_i2c_write( MAGNETO6_SLAVE_ADR_W );
ORI	R25, R0, 106
JAL	_dev_i2c_write+0
NOP	
;driver.c,37 :: 		dev_i2c_write( temp_data );
LBU	R25, 9(SP)
JAL	_dev_i2c_write+0
NOP	
LBU	R27, 8(SP)
;driver.c,38 :: 		dev_i2c_write( tx_data );
ANDI	R25, R27, 255
JAL	_dev_i2c_write+0
NOP	
;driver.c,39 :: 		dev_i2c_stop(  );
JAL	_dev_i2c_stop+0
NOP	
;driver.c,40 :: 		}
L_end_magneto6_generic_write:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _magneto6_generic_write
_magneto6_generic_read:
;driver.c,42 :: 		uint8_t magneto6_generic_read ( uint8_t reg_adr, uint8_t trigger )
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;driver.c,46 :: 		temp_data = reg_adr & TRIGGER_MASK;
SW	R25, 4(SP)
ANDI	R3, R25, 31
;driver.c,47 :: 		temp_data |= trigger << TRIGGER_SHIFT;
ANDI	R2, R26, 255
SLL	R2, R2, 5
OR	R2, R3, R2
SB	R2, 8(SP)
;driver.c,49 :: 		dev_i2c_start(  );
JAL	_dev_i2c_start+0
NOP	
;driver.c,50 :: 		dev_i2c_write( MAGNETO6_SLAVE_ADR_R );
ORI	R25, R0, 107
JAL	_dev_i2c_write+0
NOP	
;driver.c,51 :: 		dev_i2c_write( temp_data );
LBU	R25, 8(SP)
JAL	_dev_i2c_write+0
NOP	
;driver.c,52 :: 		temp_data = dev_i2c_read(  );
JAL	_dev_i2c_read+0
NOP	
SB	R2, 8(SP)
;driver.c,53 :: 		dev_i2c_stop(  );
JAL	_dev_i2c_stop+0
NOP	
;driver.c,55 :: 		return temp_data;
LBU	R2, 8(SP)
;driver.c,56 :: 		}
;driver.c,55 :: 		return temp_data;
;driver.c,56 :: 		}
L_end_magneto6_generic_read:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _magneto6_generic_read
_magneto6_get_id:
;driver.c,58 :: 		uint8_t magneto6_get_id ( void )
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;driver.c,62 :: 		MAGNETO6_TRIGGER_NO );
SW	R25, 4(SP)
SW	R26, 8(SP)
MOVZ	R26, R0, R0
;driver.c,61 :: 		id = magneto6_generic_read( MAGNETO6_REG_TEMP_3_2_ID_AXIS_Z_3_0,
ORI	R25, R0, 5
;driver.c,62 :: 		MAGNETO6_TRIGGER_NO );
JAL	_magneto6_generic_read+0
NOP	
;driver.c,63 :: 		id >>= ID_SHIFT;
ANDI	R2, R2, 255
SRL	R2, R2, 4
;driver.c,64 :: 		id &= ID_MASK;
ANDI	R2, R2, 3
;driver.c,65 :: 		return id;
;driver.c,66 :: 		}
;driver.c,65 :: 		return id;
;driver.c,66 :: 		}
L_end_magneto6_get_id:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _magneto6_get_id
_magneto6_get_type:
;driver.c,68 :: 		uint8_t magneto6_get_type ( void )
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;driver.c,72 :: 		MAGNETO6_TRIGGER_NO );
SW	R25, 4(SP)
SW	R26, 8(SP)
MOVZ	R26, R0, R0
;driver.c,71 :: 		dev_type = magneto6_generic_read( MAGNETO6_REG_VERSION,
ORI	R25, R0, 22
;driver.c,72 :: 		MAGNETO6_TRIGGER_NO );
JAL	_magneto6_generic_read+0
NOP	
;driver.c,73 :: 		dev_type >>= TYPE_SHIFT;
ANDI	R2, R2, 255
SRL	R2, R2, 4
;driver.c,74 :: 		dev_type &= TYPE_MASK;
ANDI	R2, R2, 3
;driver.c,75 :: 		return dev_type;
;driver.c,76 :: 		}
;driver.c,75 :: 		return dev_type;
;driver.c,76 :: 		}
L_end_magneto6_get_type:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _magneto6_get_type
_magneto6_get_hw_ver:
;driver.c,78 :: 		uint8_t magneto6_get_hw_ver ( void )
ADDIU	SP, SP, -12
SW	RA, 0(SP)
;driver.c,82 :: 		MAGNETO6_TRIGGER_NO );
SW	R25, 4(SP)
SW	R26, 8(SP)
MOVZ	R26, R0, R0
;driver.c,81 :: 		hw_ver = magneto6_generic_read( MAGNETO6_REG_VERSION,
ORI	R25, R0, 22
;driver.c,82 :: 		MAGNETO6_TRIGGER_NO );
JAL	_magneto6_generic_read+0
NOP	
;driver.c,83 :: 		hw_ver &= HWV_MASK;
ANDI	R2, R2, 15
;driver.c,84 :: 		return hw_ver;
;driver.c,85 :: 		}
;driver.c,84 :: 		return hw_ver;
;driver.c,85 :: 		}
L_end_magneto6_get_hw_ver:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 12
JR	RA
NOP	
; end of _magneto6_get_hw_ver
_magneto6_get_temp_value:
;driver.c,87 :: 		int16_t magneto6_get_temp_value ( void )
ADDIU	SP, SP, -16
SW	RA, 0(SP)
;driver.c,89 :: 		int16_t temperature_value = 0;
SW	R25, 4(SP)
SW	R26, 8(SP)
;driver.c,93 :: 		MAGNETO6_TRIGGER_NO );
MOVZ	R26, R0, R0
;driver.c,92 :: 		temp_read = magneto6_generic_read( MAGNETO6_REG_TEMP_11_4,
ORI	R25, R0, 3
;driver.c,93 :: 		MAGNETO6_TRIGGER_NO );
JAL	_magneto6_generic_read+0
NOP	
;driver.c,94 :: 		temperature_value = temp_read;
; temperature_value start address is: 16 (R4)
ANDI	R4, R2, 255
;driver.c,95 :: 		temperature_value <<= HALF_BYTE_SHIFT;
SEH	R3, R4
; temperature_value end address is: 16 (R4)
SLL	R3, R3, 4
; temperature_value start address is: 12 (R3)
;driver.c,96 :: 		if ( 0 != ( temp_read  & SIGNED_MASK ) )
ANDI	R2, R2, 128
ANDI	R2, R2, 255
BNE	R2, R0, L__magneto6_get_temp_value16
NOP	
J	L__magneto6_get_temp_value8
NOP	
L__magneto6_get_temp_value16:
;driver.c,98 :: 		temperature_value |= SIGNED_INT16_MASK;
ORI	R2, R3, 61440
ANDI	R3, R2, 65535
; temperature_value end address is: 12 (R3)
;driver.c,99 :: 		}
J	L_magneto6_get_temp_value0
NOP	
L__magneto6_get_temp_value8:
;driver.c,96 :: 		if ( 0 != ( temp_read  & SIGNED_MASK ) )
;driver.c,99 :: 		}
L_magneto6_get_temp_value0:
;driver.c,101 :: 		MAGNETO6_TRIGGER_NO );
; temperature_value start address is: 12 (R3)
SH	R3, 12(SP)
MOVZ	R26, R0, R0
;driver.c,100 :: 		temp_read = magneto6_generic_read( MAGNETO6_REG_TEMP_3_2_ID_AXIS_Z_3_0,
ORI	R25, R0, 5
;driver.c,101 :: 		MAGNETO6_TRIGGER_NO );
JAL	_magneto6_generic_read+0
NOP	
LH	R3, 12(SP)
;driver.c,102 :: 		temp_read >>= HALF_BYTE_SHIFT;
ANDI	R2, R2, 255
SRL	R2, R2, 4
;driver.c,103 :: 		temp_read &= TEMP_LSB_MASK;
ANDI	R2, R2, 12
;driver.c,104 :: 		temperature_value |= temp_read;
ANDI	R2, R2, 255
OR	R2, R3, R2
; temperature_value end address is: 12 (R3)
;driver.c,106 :: 		temperature_value -= TEMPERATURE_OFFSET;
ADDIU	R2, R2, -1180
;driver.c,107 :: 		temperature_value *= TEMPERATURE_RES;
SEH	R4, R2
JAL	__SignedIntegralToFloat+0
NOP	
LUI	R4, 15989
ORI	R4, R4, 49807
MOVZ	R6, R2, R0
JAL	__Mul_FP+0
NOP	
MOVZ	R4, R2, R0
JAL	__FloatToSignedIntegral+0
NOP	
;driver.c,108 :: 		temperature_value += TEMPERATURE_OFFSET_VAL;
ADDIU	R2, R2, 25
;driver.c,110 :: 		return temperature_value;
;driver.c,111 :: 		}
;driver.c,110 :: 		return temperature_value;
;driver.c,111 :: 		}
L_end_magneto6_get_temp_value:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 16
JR	RA
NOP	
; end of _magneto6_get_temp_value
_magneto6_get_axis_value:
;driver.c,113 :: 		int16_t magneto6_get_axis_value ( uint8_t axis )
ADDIU	SP, SP, -16
SW	RA, 0(SP)
;driver.c,118 :: 		int16_t signed_val = SIGNED_VAL;
SW	R25, 4(SP)
SW	R26, 8(SP)
LUI	R30, 65535
ORI	R30, R30, 63488
SH	R30, 14(SP)
;driver.c,120 :: 		switch ( axis )
J	L_magneto6_get_axis_value1
NOP	
;driver.c,122 :: 		case MAGNETO6_AXIS_X:
L_magneto6_get_axis_value3:
;driver.c,125 :: 		MAGNETO6_TRIGGER_NO );
MOVZ	R26, R0, R0
;driver.c,124 :: 		msb_read = magneto6_generic_read( MAGNETO6_REG_AXIS_X_11_4,
MOVZ	R25, R0, R0
;driver.c,125 :: 		MAGNETO6_TRIGGER_NO );
JAL	_magneto6_generic_read+0
NOP	
SB	R2, 12(SP)
;driver.c,127 :: 		MAGNETO6_TRIGGER_NO );
MOVZ	R26, R0, R0
;driver.c,126 :: 		lsb_read = magneto6_generic_read( MAGNETO6_REG_AXES_XY_3_0,
ORI	R25, R0, 4
;driver.c,127 :: 		MAGNETO6_TRIGGER_NO );
JAL	_magneto6_generic_read+0
NOP	
SB	R2, 13(SP)
;driver.c,129 :: 		break;
J	L_magneto6_get_axis_value2
NOP	
;driver.c,131 :: 		case MAGNETO6_AXIS_Y:
L_magneto6_get_axis_value4:
;driver.c,134 :: 		MAGNETO6_TRIGGER_NO );
MOVZ	R26, R0, R0
;driver.c,133 :: 		msb_read = magneto6_generic_read( MAGNETO6_REG_AXIS_Y_11_4,
ORI	R25, R0, 1
;driver.c,134 :: 		MAGNETO6_TRIGGER_NO );
JAL	_magneto6_generic_read+0
NOP	
SB	R2, 12(SP)
;driver.c,136 :: 		MAGNETO6_TRIGGER_NO );
MOVZ	R26, R0, R0
;driver.c,135 :: 		lsb_read = magneto6_generic_read( MAGNETO6_REG_AXES_XY_3_0,
ORI	R25, R0, 4
;driver.c,136 :: 		MAGNETO6_TRIGGER_NO );
JAL	_magneto6_generic_read+0
NOP	
SB	R2, 13(SP)
;driver.c,137 :: 		break;
J	L_magneto6_get_axis_value2
NOP	
;driver.c,139 :: 		case MAGNETO6_AXIS_Z:
L_magneto6_get_axis_value5:
;driver.c,142 :: 		MAGNETO6_TRIGGER_NO );
MOVZ	R26, R0, R0
;driver.c,141 :: 		msb_read = magneto6_generic_read( MAGNETO6_REG_AXIS_Z_11_4,
ORI	R25, R0, 2
;driver.c,142 :: 		MAGNETO6_TRIGGER_NO );
JAL	_magneto6_generic_read+0
NOP	
SB	R2, 12(SP)
;driver.c,144 :: 		MAGNETO6_TRIGGER_NO );
MOVZ	R26, R0, R0
;driver.c,143 :: 		lsb_read = magneto6_generic_read( MAGNETO6_REG_TEMP_3_2_ID_AXIS_Z_3_0,
ORI	R25, R0, 5
;driver.c,144 :: 		MAGNETO6_TRIGGER_NO );
JAL	_magneto6_generic_read+0
NOP	
SB	R2, 13(SP)
;driver.c,145 :: 		break;
J	L_magneto6_get_axis_value2
NOP	
;driver.c,147 :: 		default:
L_magneto6_get_axis_value6:
;driver.c,149 :: 		return MAGNETO6_DEV_ERROR;
ORI	R2, R0, 65535
J	L_end_magneto6_get_axis_value
NOP	
;driver.c,151 :: 		}
L_magneto6_get_axis_value1:
ANDI	R3, R25, 255
ORI	R2, R0, 170
BNE	R3, R2, L__magneto6_get_axis_value19
NOP	
J	L_magneto6_get_axis_value3
NOP	
L__magneto6_get_axis_value19:
ANDI	R3, R25, 255
ORI	R2, R0, 187
BNE	R3, R2, L__magneto6_get_axis_value21
NOP	
J	L_magneto6_get_axis_value4
NOP	
L__magneto6_get_axis_value21:
ANDI	R3, R25, 255
ORI	R2, R0, 204
BNE	R3, R2, L__magneto6_get_axis_value23
NOP	
J	L_magneto6_get_axis_value5
NOP	
L__magneto6_get_axis_value23:
J	L_magneto6_get_axis_value6
NOP	
L_magneto6_get_axis_value2:
;driver.c,153 :: 		if ( 0 == ( msb_read  & SIGNED_MASK ) )
LBU	R2, 12(SP)
ANDI	R2, R2, 128
ANDI	R2, R2, 255
BEQ	R2, R0, L__magneto6_get_axis_value24
NOP	
J	L_magneto6_get_axis_value7
NOP	
L__magneto6_get_axis_value24:
;driver.c,155 :: 		signed_val = UNSGINED_VAL;
SH	R0, 14(SP)
;driver.c,156 :: 		}
L_magneto6_get_axis_value7:
;driver.c,157 :: 		msb_read &= UNSIGNED_MASK;
LBU	R2, 12(SP)
ANDI	R3, R2, 127
;driver.c,158 :: 		lsb_read &= MAGNETO_LSB_MASK;
LBU	R2, 13(SP)
ANDI	R4, R2, 15
;driver.c,159 :: 		axis_value = msb_read;
; axis_value start address is: 12 (R3)
ANDI	R3, R3, 255
;driver.c,160 :: 		axis_value <<= HALF_BYTE_SHIFT;
SEH	R2, R3
; axis_value end address is: 12 (R3)
SLL	R3, R2, 4
;driver.c,161 :: 		axis_value |= lsb_read;
ANDI	R2, R4, 255
OR	R3, R3, R2
;driver.c,162 :: 		axis_value += signed_val;
LH	R2, 14(SP)
ADDU	R2, R3, R2
;driver.c,163 :: 		return axis_value;
;driver.c,164 :: 		}
;driver.c,163 :: 		return axis_value;
;driver.c,164 :: 		}
L_end_magneto6_get_axis_value:
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 16
JR	RA
NOP	
; end of _magneto6_get_axis_value
_magneto6_get_axes_value:
;driver.c,166 :: 		void magneto6_get_axes_value ( magneto6_axes_t *axes )
ADDIU	SP, SP, -16
SW	RA, 0(SP)
;driver.c,168 :: 		axes->x = magneto6_get_axis_value( MAGNETO6_AXIS_X );
SW	R25, 4(SP)
MOVZ	R2, R25, R0
SW	R2, 12(SP)
SW	R25, 8(SP)
ORI	R25, R0, 170
JAL	_magneto6_get_axis_value+0
NOP	
LW	R25, 8(SP)
LW	R3, 12(SP)
SH	R2, 0(R3)
;driver.c,169 :: 		axes->y = magneto6_get_axis_value( MAGNETO6_AXIS_Y );
ADDIU	R2, R25, 2
SW	R2, 12(SP)
SW	R25, 8(SP)
ORI	R25, R0, 187
JAL	_magneto6_get_axis_value+0
NOP	
LW	R25, 8(SP)
LW	R3, 12(SP)
SH	R2, 0(R3)
;driver.c,170 :: 		axes->z = magneto6_get_axis_value( MAGNETO6_AXIS_Z );
ADDIU	R2, R25, 4
SW	R2, 12(SP)
ORI	R25, R0, 204
JAL	_magneto6_get_axis_value+0
NOP	
LW	R3, 12(SP)
SH	R2, 0(R3)
;driver.c,171 :: 		}
L_end_magneto6_get_axes_value:
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 16
JR	RA
NOP	
; end of _magneto6_get_axes_value
